.header {
    z-index: 1000;
    top: 0;
    height: 4.5rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: $black;
    color: $white;
    position: relative;

    @media screen and (max-width: 1024px) {
        position: fixed;
    }

    &__inner {
        max-width: 1430px;
        margin: 0 auto;
        width: 100%;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        padding: 0 1rem;
    }

    &__wrap {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .header__links {
            margin-left: 15rem;

            @media screen and (max-width: 1439px) and (min-width: 1024px) {
                margin-left: 5rem;
            }
        }
    }

    .logo {
        max-height: 4.5rem;
        
        @media screen and (max-width: 1280px) {
            margin-left: 1.5rem;
        }

        @media screen and (max-width: 1024px) and (min-width: 676px) {
            max-height: 4rem;
        }
    }

    &__actions {
        display: flex;
        justify-content: end;
        align-items: center;

        .header__link {
            margin: 0 4rem;
        }
    }

    &__lang {
        display: inline-block;
        margin-left: 4rem;

        .header__link {
            margin: 0;
            font-weight: 400;
            margin-left: 1rem;
            margin-right: 0;

            &:first-child {
                margin-left: 0;
                margin-right: 1rem;
            }
        }

        .disabled {
            color: $gray;

            &:hover {
                border-bottom: none;
                color: $gray;
            }
        }
    }

    &__phone {
        cursor: pointer;

        .header__link {
            &--m0{
                margin: 0;
            }

            &:hover {
                border-bottom: none;
                color: #fff;
                padding-bottom: calc(0.5rem + 2px);
            }
        }
    }

    &__link {
        text-decoration: none;
        color: $white;
        margin: 0 2rem;
        padding-bottom: calc(0.5rem + 2px);
        font-size: 1.5rem;
        font-weight: 400;
        display: inline-block;
        transition: color .1s ease-in-out;

        @media screen and (max-width: 1439px) and (min-width: 992px) {
            font-size: 1.4rem;
        }

        &:hover {
            color: $red;
            border-bottom: 2px solid $red;
            padding-bottom: 0.5rem;
        }

        &--invert {
            color: $red;
            padding-bottom: 0.5rem;

            &:hover {
                color: $white;
                border-color: $white;
            }
        }
    }

    li {
        list-style: none;
        margin: 0;
        padding: 0;
        display: inline-block;
        position: relative;

        .submenu {
            display: flex;
            flex-direction: column;
            opacity: 0;
            visibility: hidden;
            margin: 0;
            padding: 1rem;
            transform: perspective(600px) rotateX(-90deg);
            transform-origin: 0% 0%;
            transition: .3s ease-in-out;
            position: absolute;
            top: 100%;
            left: -2rem;
            right: 0;
            background: #fff;
            width: calc(100% + 4.5rem);
            box-shadow: 0 5px 4px rgba(0,0,0,.25);
            border-radius: 3px;
            text-align: left;
            z-index: 4;

            &--client{
                width: calc(100% + 10rem);
                left: -5rem;
            }
            
            a {
                color: $black;
                margin: 0 auto;
                padding: 0.75rem 0;

                &:hover {
                    border-bottom: none;
                    color: #ae0009;
                    margin: 0 auto;
                    padding: 0.75rem 0;
                }
            }
        }

        &:hover .submenu {
            visibility: visible;
            opacity: 1;
            transform: perspective(600px) rotateX(0deg);
        }

        i {
            transition: .3s ease-in-out;
        }

        &:hover i {
            transform: rotateX(180deg);
        } 
    }
    
}

.page-header__main {
    z-index: 3;
    box-shadow: 0 2px 4px rgba(0,0,0,.1);
}

.page__container {
    width: 100%;
    max-width: 1430px;
    padding: 0 1.5rem;
    margin: 0 auto;

    @media screen and (max-width: 1024px) {
        max-width: 100%;
    }

    &--header {
        display: flex;
        padding: 1rem;
        justify-content: space-between;
        align-items: center;
        position: relative;

        @media screen and (max-width: 1024px) {
            margin-top: 4.5rem;
            flex-wrap: wrap-reverse;
        }
    }
}

.header-search__wrapper {
    width: 100%;
    display: flex;
    position: relative;

    form {
        width: 100%;
        display: flex;
    }

    input {
        display: inline-block;
        overflow: hidden;
        width: 100%;
        background: $lightgray;
        outline: none;
        border-left: 1px solid rgba($red, 0.4);
        border-top: 1px solid rgba($red, 0.4);
        border-bottom: 1px solid rgba($red, 0.4);
        border-right: none;
        height: 4rem;
        padding: 0 1rem;
        border-radius: 0.3rem;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;

        &::placeholder {
            color: $gray;
        }

        &:focus ~ button {
            background: $red;
            color: $lightgray;
        }
    }

    button {
        display: inline-block;
        border-right: 1px solid rgba($red, 0.4);
        border-top: 1px solid rgba($red, 0.4);
        border-bottom: 1px solid rgba($red, 0.4);
        border-left: none;
        padding: 0 2rem;
        background: $lightgray;
        border-top-right-radius: 0.3rem;
        border-bottom-right-radius: 0.3rem;
        transition: all .2s ease-in-out;
    }
}

.header__user-actions {
    flex-flow: row nowrap;
    margin: 0 0 0 auto;
    display: flex;
    padding: 0 2rem;
    position: relative;

    .user-action {
        margin: 0 2rem;
        display: inline-block;
        font-size: 3rem;
        color: $black;
        transition: color .1s ease-in-out;

        &:hover {
            color: $red;
        }
    }
}

.header__catalog {
    padding: 0 1rem;
    width: auto;
    height: 100%;

    @media screen and (max-width: 1024px) {
        width: 100%;
        padding: 0;
    }

    .catalog__button {
        text-transform: uppercase;
        white-space: nowrap;
        display: flex;
        outline: none;
        border: 1px solid rgba($red, 0.4);
        border-radius: 0.3rem;
        height: 4rem;
        align-items: center;
        padding: 0 2rem;
        background: $lightgray;
        font-size: 1.4rem;

        @media screen and (max-width: 1024px) {
            width: 100%;
            margin-top: 0.5rem;
            display: flex;
            justify-content: center;
        }

        i {
            font-size: 2.5rem;
            margin-right: 2rem;
            color: $red;
        }

        &:hover {
            background: lighten($lightgray, 5%);
        }
    }
}

.burger__menu {
    .menu__list {
        position: fixed;
        top: 4.5rem;
        left: 0;
        background: $white;
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100vh;
        justify-content: center;
        align-items: center;
        transform: translateX(100%);
        transition: 0.2s;

        .header__link {
            display: flex;
            text-align: center;
            color: $black;
            margin-bottom: 1rem;
        }

        &--active {
            transform: translateX(0);
        }
    }

    .burger__logo {
        cursor: pointer;
        border: none;
        padding: 0.5rem;
        background: $gray;
        color: $white;
        border-radius: 50%;
        width: 3rem;
        height: 3rem;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        box-shadow: 0 2px 4px $black;

        .line {
            display: flex;
            width: 2rem;
            height: 0.3rem;
            background: $red;
            transition: 0.2s;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);

            &::before {
                position: absolute;
                content: '';
                justify-content: center;
                align-items: center;
                width: 2rem;
                height: 0.3rem;
                background: $red;
                transform: translateY(-0.6rem);
                transition: 0.3s;
                transform-origin: center;
            }

            &::after {
                position: absolute;
                content: '';
                justify-content: center;
                align-items: center;
                width: 2rem;
                height: 0.3rem;
                background: $red;
                transform: translateY(0.6rem);
                transition: 0.3s;
                transform-origin: center;
            }
        }

        &--active {
            .line {
                height: 0;
                background: transparent;

                &::before {
                    transform: rotate(45deg);
                }

                &::after {
                    transform: rotate(-45deg);
                }
            }
        }
    }
}

.user-actions__menu {
    position: absolute;
    right: 0;
    top: 3.5rem;
    z-index: 20;
    background: $white;
    padding: 2rem;
    min-width: 30rem;
}
